@xen-orchestra/rest-api 0.32.0 → 0.33.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/README.md +4 -4
- package/dist/open-api/routes/routes.js +85 -4
- package/dist/vms/vm.controller.mjs +49 -2
- package/dist/vms/vm.service.mjs +17 -0
- package/open-api/spec/swagger.json +975 -5
- package/package.json +3 -3
|
@@ -1479,6 +1479,775 @@
|
|
|
1479
1479
|
],
|
|
1480
1480
|
"type": "object"
|
|
1481
1481
|
},
|
|
1482
|
+
"Partial_Record_VM_OPERATIONS.boolean-or-string-or-null__": {
|
|
1483
|
+
"properties": {
|
|
1484
|
+
"assert_operation_valid": {
|
|
1485
|
+
"anyOf": [
|
|
1486
|
+
{
|
|
1487
|
+
"type": "string"
|
|
1488
|
+
},
|
|
1489
|
+
{
|
|
1490
|
+
"type": "boolean"
|
|
1491
|
+
}
|
|
1492
|
+
],
|
|
1493
|
+
"nullable": true
|
|
1494
|
+
},
|
|
1495
|
+
"awaiting_memory_live": {
|
|
1496
|
+
"anyOf": [
|
|
1497
|
+
{
|
|
1498
|
+
"type": "string"
|
|
1499
|
+
},
|
|
1500
|
+
{
|
|
1501
|
+
"type": "boolean"
|
|
1502
|
+
}
|
|
1503
|
+
],
|
|
1504
|
+
"nullable": true
|
|
1505
|
+
},
|
|
1506
|
+
"call_plugin": {
|
|
1507
|
+
"anyOf": [
|
|
1508
|
+
{
|
|
1509
|
+
"type": "string"
|
|
1510
|
+
},
|
|
1511
|
+
{
|
|
1512
|
+
"type": "boolean"
|
|
1513
|
+
}
|
|
1514
|
+
],
|
|
1515
|
+
"nullable": true
|
|
1516
|
+
},
|
|
1517
|
+
"changing_dynamic_range": {
|
|
1518
|
+
"anyOf": [
|
|
1519
|
+
{
|
|
1520
|
+
"type": "string"
|
|
1521
|
+
},
|
|
1522
|
+
{
|
|
1523
|
+
"type": "boolean"
|
|
1524
|
+
}
|
|
1525
|
+
],
|
|
1526
|
+
"nullable": true
|
|
1527
|
+
},
|
|
1528
|
+
"changing_memory_limits": {
|
|
1529
|
+
"anyOf": [
|
|
1530
|
+
{
|
|
1531
|
+
"type": "string"
|
|
1532
|
+
},
|
|
1533
|
+
{
|
|
1534
|
+
"type": "boolean"
|
|
1535
|
+
}
|
|
1536
|
+
],
|
|
1537
|
+
"nullable": true
|
|
1538
|
+
},
|
|
1539
|
+
"changing_memory_live": {
|
|
1540
|
+
"anyOf": [
|
|
1541
|
+
{
|
|
1542
|
+
"type": "string"
|
|
1543
|
+
},
|
|
1544
|
+
{
|
|
1545
|
+
"type": "boolean"
|
|
1546
|
+
}
|
|
1547
|
+
],
|
|
1548
|
+
"nullable": true
|
|
1549
|
+
},
|
|
1550
|
+
"changing_NVRAM": {
|
|
1551
|
+
"anyOf": [
|
|
1552
|
+
{
|
|
1553
|
+
"type": "string"
|
|
1554
|
+
},
|
|
1555
|
+
{
|
|
1556
|
+
"type": "boolean"
|
|
1557
|
+
}
|
|
1558
|
+
],
|
|
1559
|
+
"nullable": true
|
|
1560
|
+
},
|
|
1561
|
+
"changing_shadow_memory": {
|
|
1562
|
+
"anyOf": [
|
|
1563
|
+
{
|
|
1564
|
+
"type": "string"
|
|
1565
|
+
},
|
|
1566
|
+
{
|
|
1567
|
+
"type": "boolean"
|
|
1568
|
+
}
|
|
1569
|
+
],
|
|
1570
|
+
"nullable": true
|
|
1571
|
+
},
|
|
1572
|
+
"changing_shadow_memory_live": {
|
|
1573
|
+
"anyOf": [
|
|
1574
|
+
{
|
|
1575
|
+
"type": "string"
|
|
1576
|
+
},
|
|
1577
|
+
{
|
|
1578
|
+
"type": "boolean"
|
|
1579
|
+
}
|
|
1580
|
+
],
|
|
1581
|
+
"nullable": true
|
|
1582
|
+
},
|
|
1583
|
+
"changing_static_range": {
|
|
1584
|
+
"anyOf": [
|
|
1585
|
+
{
|
|
1586
|
+
"type": "string"
|
|
1587
|
+
},
|
|
1588
|
+
{
|
|
1589
|
+
"type": "boolean"
|
|
1590
|
+
}
|
|
1591
|
+
],
|
|
1592
|
+
"nullable": true
|
|
1593
|
+
},
|
|
1594
|
+
"changing_VCPUs": {
|
|
1595
|
+
"anyOf": [
|
|
1596
|
+
{
|
|
1597
|
+
"type": "string"
|
|
1598
|
+
},
|
|
1599
|
+
{
|
|
1600
|
+
"type": "boolean"
|
|
1601
|
+
}
|
|
1602
|
+
],
|
|
1603
|
+
"nullable": true
|
|
1604
|
+
},
|
|
1605
|
+
"changing_VCPUs_live": {
|
|
1606
|
+
"anyOf": [
|
|
1607
|
+
{
|
|
1608
|
+
"type": "string"
|
|
1609
|
+
},
|
|
1610
|
+
{
|
|
1611
|
+
"type": "boolean"
|
|
1612
|
+
}
|
|
1613
|
+
],
|
|
1614
|
+
"nullable": true
|
|
1615
|
+
},
|
|
1616
|
+
"checkpoint": {
|
|
1617
|
+
"anyOf": [
|
|
1618
|
+
{
|
|
1619
|
+
"type": "string"
|
|
1620
|
+
},
|
|
1621
|
+
{
|
|
1622
|
+
"type": "boolean"
|
|
1623
|
+
}
|
|
1624
|
+
],
|
|
1625
|
+
"nullable": true
|
|
1626
|
+
},
|
|
1627
|
+
"clean_reboot": {
|
|
1628
|
+
"anyOf": [
|
|
1629
|
+
{
|
|
1630
|
+
"type": "string"
|
|
1631
|
+
},
|
|
1632
|
+
{
|
|
1633
|
+
"type": "boolean"
|
|
1634
|
+
}
|
|
1635
|
+
],
|
|
1636
|
+
"nullable": true
|
|
1637
|
+
},
|
|
1638
|
+
"clean_shutdown": {
|
|
1639
|
+
"anyOf": [
|
|
1640
|
+
{
|
|
1641
|
+
"type": "string"
|
|
1642
|
+
},
|
|
1643
|
+
{
|
|
1644
|
+
"type": "boolean"
|
|
1645
|
+
}
|
|
1646
|
+
],
|
|
1647
|
+
"nullable": true
|
|
1648
|
+
},
|
|
1649
|
+
"clone": {
|
|
1650
|
+
"anyOf": [
|
|
1651
|
+
{
|
|
1652
|
+
"type": "string"
|
|
1653
|
+
},
|
|
1654
|
+
{
|
|
1655
|
+
"type": "boolean"
|
|
1656
|
+
}
|
|
1657
|
+
],
|
|
1658
|
+
"nullable": true
|
|
1659
|
+
},
|
|
1660
|
+
"copy": {
|
|
1661
|
+
"anyOf": [
|
|
1662
|
+
{
|
|
1663
|
+
"type": "string"
|
|
1664
|
+
},
|
|
1665
|
+
{
|
|
1666
|
+
"type": "boolean"
|
|
1667
|
+
}
|
|
1668
|
+
],
|
|
1669
|
+
"nullable": true
|
|
1670
|
+
},
|
|
1671
|
+
"create_template": {
|
|
1672
|
+
"anyOf": [
|
|
1673
|
+
{
|
|
1674
|
+
"type": "string"
|
|
1675
|
+
},
|
|
1676
|
+
{
|
|
1677
|
+
"type": "boolean"
|
|
1678
|
+
}
|
|
1679
|
+
],
|
|
1680
|
+
"nullable": true
|
|
1681
|
+
},
|
|
1682
|
+
"create_vtpm": {
|
|
1683
|
+
"anyOf": [
|
|
1684
|
+
{
|
|
1685
|
+
"type": "string"
|
|
1686
|
+
},
|
|
1687
|
+
{
|
|
1688
|
+
"type": "boolean"
|
|
1689
|
+
}
|
|
1690
|
+
],
|
|
1691
|
+
"nullable": true
|
|
1692
|
+
},
|
|
1693
|
+
"csvm": {
|
|
1694
|
+
"anyOf": [
|
|
1695
|
+
{
|
|
1696
|
+
"type": "string"
|
|
1697
|
+
},
|
|
1698
|
+
{
|
|
1699
|
+
"type": "boolean"
|
|
1700
|
+
}
|
|
1701
|
+
],
|
|
1702
|
+
"nullable": true
|
|
1703
|
+
},
|
|
1704
|
+
"data_source_op": {
|
|
1705
|
+
"anyOf": [
|
|
1706
|
+
{
|
|
1707
|
+
"type": "string"
|
|
1708
|
+
},
|
|
1709
|
+
{
|
|
1710
|
+
"type": "boolean"
|
|
1711
|
+
}
|
|
1712
|
+
],
|
|
1713
|
+
"nullable": true
|
|
1714
|
+
},
|
|
1715
|
+
"destroy": {
|
|
1716
|
+
"anyOf": [
|
|
1717
|
+
{
|
|
1718
|
+
"type": "string"
|
|
1719
|
+
},
|
|
1720
|
+
{
|
|
1721
|
+
"type": "boolean"
|
|
1722
|
+
}
|
|
1723
|
+
],
|
|
1724
|
+
"nullable": true
|
|
1725
|
+
},
|
|
1726
|
+
"export": {
|
|
1727
|
+
"anyOf": [
|
|
1728
|
+
{
|
|
1729
|
+
"type": "string"
|
|
1730
|
+
},
|
|
1731
|
+
{
|
|
1732
|
+
"type": "boolean"
|
|
1733
|
+
}
|
|
1734
|
+
],
|
|
1735
|
+
"nullable": true
|
|
1736
|
+
},
|
|
1737
|
+
"get_boot_record": {
|
|
1738
|
+
"anyOf": [
|
|
1739
|
+
{
|
|
1740
|
+
"type": "string"
|
|
1741
|
+
},
|
|
1742
|
+
{
|
|
1743
|
+
"type": "boolean"
|
|
1744
|
+
}
|
|
1745
|
+
],
|
|
1746
|
+
"nullable": true
|
|
1747
|
+
},
|
|
1748
|
+
"hard_reboot": {
|
|
1749
|
+
"anyOf": [
|
|
1750
|
+
{
|
|
1751
|
+
"type": "string"
|
|
1752
|
+
},
|
|
1753
|
+
{
|
|
1754
|
+
"type": "boolean"
|
|
1755
|
+
}
|
|
1756
|
+
],
|
|
1757
|
+
"nullable": true
|
|
1758
|
+
},
|
|
1759
|
+
"hard_shutdown": {
|
|
1760
|
+
"anyOf": [
|
|
1761
|
+
{
|
|
1762
|
+
"type": "string"
|
|
1763
|
+
},
|
|
1764
|
+
{
|
|
1765
|
+
"type": "boolean"
|
|
1766
|
+
}
|
|
1767
|
+
],
|
|
1768
|
+
"nullable": true
|
|
1769
|
+
},
|
|
1770
|
+
"import": {
|
|
1771
|
+
"anyOf": [
|
|
1772
|
+
{
|
|
1773
|
+
"type": "string"
|
|
1774
|
+
},
|
|
1775
|
+
{
|
|
1776
|
+
"type": "boolean"
|
|
1777
|
+
}
|
|
1778
|
+
],
|
|
1779
|
+
"nullable": true
|
|
1780
|
+
},
|
|
1781
|
+
"make_into_template": {
|
|
1782
|
+
"anyOf": [
|
|
1783
|
+
{
|
|
1784
|
+
"type": "string"
|
|
1785
|
+
},
|
|
1786
|
+
{
|
|
1787
|
+
"type": "boolean"
|
|
1788
|
+
}
|
|
1789
|
+
],
|
|
1790
|
+
"nullable": true
|
|
1791
|
+
},
|
|
1792
|
+
"metadata_export": {
|
|
1793
|
+
"anyOf": [
|
|
1794
|
+
{
|
|
1795
|
+
"type": "string"
|
|
1796
|
+
},
|
|
1797
|
+
{
|
|
1798
|
+
"type": "boolean"
|
|
1799
|
+
}
|
|
1800
|
+
],
|
|
1801
|
+
"nullable": true
|
|
1802
|
+
},
|
|
1803
|
+
"migrate_send": {
|
|
1804
|
+
"anyOf": [
|
|
1805
|
+
{
|
|
1806
|
+
"type": "string"
|
|
1807
|
+
},
|
|
1808
|
+
{
|
|
1809
|
+
"type": "boolean"
|
|
1810
|
+
}
|
|
1811
|
+
],
|
|
1812
|
+
"nullable": true
|
|
1813
|
+
},
|
|
1814
|
+
"pause": {
|
|
1815
|
+
"anyOf": [
|
|
1816
|
+
{
|
|
1817
|
+
"type": "string"
|
|
1818
|
+
},
|
|
1819
|
+
{
|
|
1820
|
+
"type": "boolean"
|
|
1821
|
+
}
|
|
1822
|
+
],
|
|
1823
|
+
"nullable": true
|
|
1824
|
+
},
|
|
1825
|
+
"pool_migrate": {
|
|
1826
|
+
"anyOf": [
|
|
1827
|
+
{
|
|
1828
|
+
"type": "string"
|
|
1829
|
+
},
|
|
1830
|
+
{
|
|
1831
|
+
"type": "boolean"
|
|
1832
|
+
}
|
|
1833
|
+
],
|
|
1834
|
+
"nullable": true
|
|
1835
|
+
},
|
|
1836
|
+
"power_state_reset": {
|
|
1837
|
+
"anyOf": [
|
|
1838
|
+
{
|
|
1839
|
+
"type": "string"
|
|
1840
|
+
},
|
|
1841
|
+
{
|
|
1842
|
+
"type": "boolean"
|
|
1843
|
+
}
|
|
1844
|
+
],
|
|
1845
|
+
"nullable": true
|
|
1846
|
+
},
|
|
1847
|
+
"provision": {
|
|
1848
|
+
"anyOf": [
|
|
1849
|
+
{
|
|
1850
|
+
"type": "string"
|
|
1851
|
+
},
|
|
1852
|
+
{
|
|
1853
|
+
"type": "boolean"
|
|
1854
|
+
}
|
|
1855
|
+
],
|
|
1856
|
+
"nullable": true
|
|
1857
|
+
},
|
|
1858
|
+
"query_services": {
|
|
1859
|
+
"anyOf": [
|
|
1860
|
+
{
|
|
1861
|
+
"type": "string"
|
|
1862
|
+
},
|
|
1863
|
+
{
|
|
1864
|
+
"type": "boolean"
|
|
1865
|
+
}
|
|
1866
|
+
],
|
|
1867
|
+
"nullable": true
|
|
1868
|
+
},
|
|
1869
|
+
"resume": {
|
|
1870
|
+
"anyOf": [
|
|
1871
|
+
{
|
|
1872
|
+
"type": "string"
|
|
1873
|
+
},
|
|
1874
|
+
{
|
|
1875
|
+
"type": "boolean"
|
|
1876
|
+
}
|
|
1877
|
+
],
|
|
1878
|
+
"nullable": true
|
|
1879
|
+
},
|
|
1880
|
+
"resume_on": {
|
|
1881
|
+
"anyOf": [
|
|
1882
|
+
{
|
|
1883
|
+
"type": "string"
|
|
1884
|
+
},
|
|
1885
|
+
{
|
|
1886
|
+
"type": "boolean"
|
|
1887
|
+
}
|
|
1888
|
+
],
|
|
1889
|
+
"nullable": true
|
|
1890
|
+
},
|
|
1891
|
+
"revert": {
|
|
1892
|
+
"anyOf": [
|
|
1893
|
+
{
|
|
1894
|
+
"type": "string"
|
|
1895
|
+
},
|
|
1896
|
+
{
|
|
1897
|
+
"type": "boolean"
|
|
1898
|
+
}
|
|
1899
|
+
],
|
|
1900
|
+
"nullable": true
|
|
1901
|
+
},
|
|
1902
|
+
"reverting": {
|
|
1903
|
+
"anyOf": [
|
|
1904
|
+
{
|
|
1905
|
+
"type": "string"
|
|
1906
|
+
},
|
|
1907
|
+
{
|
|
1908
|
+
"type": "boolean"
|
|
1909
|
+
}
|
|
1910
|
+
],
|
|
1911
|
+
"nullable": true
|
|
1912
|
+
},
|
|
1913
|
+
"send_sysrq": {
|
|
1914
|
+
"anyOf": [
|
|
1915
|
+
{
|
|
1916
|
+
"type": "string"
|
|
1917
|
+
},
|
|
1918
|
+
{
|
|
1919
|
+
"type": "boolean"
|
|
1920
|
+
}
|
|
1921
|
+
],
|
|
1922
|
+
"nullable": true
|
|
1923
|
+
},
|
|
1924
|
+
"send_trigger": {
|
|
1925
|
+
"anyOf": [
|
|
1926
|
+
{
|
|
1927
|
+
"type": "string"
|
|
1928
|
+
},
|
|
1929
|
+
{
|
|
1930
|
+
"type": "boolean"
|
|
1931
|
+
}
|
|
1932
|
+
],
|
|
1933
|
+
"nullable": true
|
|
1934
|
+
},
|
|
1935
|
+
"shutdown": {
|
|
1936
|
+
"anyOf": [
|
|
1937
|
+
{
|
|
1938
|
+
"type": "string"
|
|
1939
|
+
},
|
|
1940
|
+
{
|
|
1941
|
+
"type": "boolean"
|
|
1942
|
+
}
|
|
1943
|
+
],
|
|
1944
|
+
"nullable": true
|
|
1945
|
+
},
|
|
1946
|
+
"snapshot": {
|
|
1947
|
+
"anyOf": [
|
|
1948
|
+
{
|
|
1949
|
+
"type": "string"
|
|
1950
|
+
},
|
|
1951
|
+
{
|
|
1952
|
+
"type": "boolean"
|
|
1953
|
+
}
|
|
1954
|
+
],
|
|
1955
|
+
"nullable": true
|
|
1956
|
+
},
|
|
1957
|
+
"snapshot_with_quiesce": {
|
|
1958
|
+
"anyOf": [
|
|
1959
|
+
{
|
|
1960
|
+
"type": "string"
|
|
1961
|
+
},
|
|
1962
|
+
{
|
|
1963
|
+
"type": "boolean"
|
|
1964
|
+
}
|
|
1965
|
+
],
|
|
1966
|
+
"nullable": true
|
|
1967
|
+
},
|
|
1968
|
+
"start": {
|
|
1969
|
+
"anyOf": [
|
|
1970
|
+
{
|
|
1971
|
+
"type": "string"
|
|
1972
|
+
},
|
|
1973
|
+
{
|
|
1974
|
+
"type": "boolean"
|
|
1975
|
+
}
|
|
1976
|
+
],
|
|
1977
|
+
"nullable": true
|
|
1978
|
+
},
|
|
1979
|
+
"start_on": {
|
|
1980
|
+
"anyOf": [
|
|
1981
|
+
{
|
|
1982
|
+
"type": "string"
|
|
1983
|
+
},
|
|
1984
|
+
{
|
|
1985
|
+
"type": "boolean"
|
|
1986
|
+
}
|
|
1987
|
+
],
|
|
1988
|
+
"nullable": true
|
|
1989
|
+
},
|
|
1990
|
+
"suspend": {
|
|
1991
|
+
"anyOf": [
|
|
1992
|
+
{
|
|
1993
|
+
"type": "string"
|
|
1994
|
+
},
|
|
1995
|
+
{
|
|
1996
|
+
"type": "boolean"
|
|
1997
|
+
}
|
|
1998
|
+
],
|
|
1999
|
+
"nullable": true
|
|
2000
|
+
},
|
|
2001
|
+
"unpause": {
|
|
2002
|
+
"anyOf": [
|
|
2003
|
+
{
|
|
2004
|
+
"type": "string"
|
|
2005
|
+
},
|
|
2006
|
+
{
|
|
2007
|
+
"type": "boolean"
|
|
2008
|
+
}
|
|
2009
|
+
],
|
|
2010
|
+
"nullable": true
|
|
2011
|
+
},
|
|
2012
|
+
"update_allowed_operations": {
|
|
2013
|
+
"anyOf": [
|
|
2014
|
+
{
|
|
2015
|
+
"type": "string"
|
|
2016
|
+
},
|
|
2017
|
+
{
|
|
2018
|
+
"type": "boolean"
|
|
2019
|
+
}
|
|
2020
|
+
],
|
|
2021
|
+
"nullable": true
|
|
2022
|
+
}
|
|
2023
|
+
},
|
|
2024
|
+
"type": "object",
|
|
2025
|
+
"description": "Make all properties in T optional"
|
|
2026
|
+
},
|
|
2027
|
+
"Record_string.string-or-null_": {
|
|
2028
|
+
"properties": {},
|
|
2029
|
+
"additionalProperties": {
|
|
2030
|
+
"type": "string",
|
|
2031
|
+
"nullable": true
|
|
2032
|
+
},
|
|
2033
|
+
"type": "object",
|
|
2034
|
+
"description": "Construct a type with a set of properties K of type T"
|
|
2035
|
+
},
|
|
2036
|
+
"UpdateVmRequestBody": {
|
|
2037
|
+
"description": "Body of `PATCH /vms/{id}`.\n\nExtends {@link EditVmProps} with two REST-only properties that the xo-server\nresource-set mixin handles outside of `editVm`.",
|
|
2038
|
+
"properties": {
|
|
2039
|
+
"affinityHost": {
|
|
2040
|
+
"type": "string",
|
|
2041
|
+
"nullable": true
|
|
2042
|
+
},
|
|
2043
|
+
"autoPoweron": {
|
|
2044
|
+
"type": "boolean"
|
|
2045
|
+
},
|
|
2046
|
+
"blockedOperations": {
|
|
2047
|
+
"$ref": "#/components/schemas/Partial_Record_VM_OPERATIONS.boolean-or-string-or-null__"
|
|
2048
|
+
},
|
|
2049
|
+
"coresPerSocket": {
|
|
2050
|
+
"anyOf": [
|
|
2051
|
+
{
|
|
2052
|
+
"type": "number",
|
|
2053
|
+
"format": "double"
|
|
2054
|
+
},
|
|
2055
|
+
{
|
|
2056
|
+
"type": "string"
|
|
2057
|
+
}
|
|
2058
|
+
],
|
|
2059
|
+
"nullable": true
|
|
2060
|
+
},
|
|
2061
|
+
"cpuCap": {
|
|
2062
|
+
"type": "number",
|
|
2063
|
+
"format": "double",
|
|
2064
|
+
"nullable": true
|
|
2065
|
+
},
|
|
2066
|
+
"cpuMask": {
|
|
2067
|
+
"items": {
|
|
2068
|
+
"type": "number",
|
|
2069
|
+
"format": "double"
|
|
2070
|
+
},
|
|
2071
|
+
"type": "array"
|
|
2072
|
+
},
|
|
2073
|
+
"cpuWeight": {
|
|
2074
|
+
"type": "number",
|
|
2075
|
+
"format": "double",
|
|
2076
|
+
"nullable": true
|
|
2077
|
+
},
|
|
2078
|
+
"cpus": {
|
|
2079
|
+
"type": "number",
|
|
2080
|
+
"format": "double"
|
|
2081
|
+
},
|
|
2082
|
+
"cpusStaticMax": {
|
|
2083
|
+
"anyOf": [
|
|
2084
|
+
{
|
|
2085
|
+
"type": "number",
|
|
2086
|
+
"format": "double"
|
|
2087
|
+
},
|
|
2088
|
+
{
|
|
2089
|
+
"type": "string"
|
|
2090
|
+
}
|
|
2091
|
+
]
|
|
2092
|
+
},
|
|
2093
|
+
"creation": {
|
|
2094
|
+
"properties": {
|
|
2095
|
+
"user": {
|
|
2096
|
+
"type": "string"
|
|
2097
|
+
}
|
|
2098
|
+
},
|
|
2099
|
+
"type": "object",
|
|
2100
|
+
"description": "Update VM creation metadata stored under `other_config.xo:*`. The object is\nmerged with the existing data."
|
|
2101
|
+
},
|
|
2102
|
+
"expNestedHvm": {
|
|
2103
|
+
"type": "boolean"
|
|
2104
|
+
},
|
|
2105
|
+
"hasVendorDevice": {
|
|
2106
|
+
"type": "boolean"
|
|
2107
|
+
},
|
|
2108
|
+
"highAvailability": {
|
|
2109
|
+
"type": "string",
|
|
2110
|
+
"enum": [
|
|
2111
|
+
"best-effort",
|
|
2112
|
+
"restart",
|
|
2113
|
+
""
|
|
2114
|
+
]
|
|
2115
|
+
},
|
|
2116
|
+
"hvmBootFirmware": {
|
|
2117
|
+
"type": "string",
|
|
2118
|
+
"nullable": true
|
|
2119
|
+
},
|
|
2120
|
+
"memory": {
|
|
2121
|
+
"anyOf": [
|
|
2122
|
+
{
|
|
2123
|
+
"type": "number",
|
|
2124
|
+
"format": "double"
|
|
2125
|
+
},
|
|
2126
|
+
{
|
|
2127
|
+
"type": "string"
|
|
2128
|
+
}
|
|
2129
|
+
]
|
|
2130
|
+
},
|
|
2131
|
+
"memoryMax": {
|
|
2132
|
+
"anyOf": [
|
|
2133
|
+
{
|
|
2134
|
+
"type": "number",
|
|
2135
|
+
"format": "double"
|
|
2136
|
+
},
|
|
2137
|
+
{
|
|
2138
|
+
"type": "string"
|
|
2139
|
+
}
|
|
2140
|
+
]
|
|
2141
|
+
},
|
|
2142
|
+
"memoryMin": {
|
|
2143
|
+
"anyOf": [
|
|
2144
|
+
{
|
|
2145
|
+
"type": "number",
|
|
2146
|
+
"format": "double"
|
|
2147
|
+
},
|
|
2148
|
+
{
|
|
2149
|
+
"type": "string"
|
|
2150
|
+
}
|
|
2151
|
+
]
|
|
2152
|
+
},
|
|
2153
|
+
"memoryStaticMax": {
|
|
2154
|
+
"anyOf": [
|
|
2155
|
+
{
|
|
2156
|
+
"type": "number",
|
|
2157
|
+
"format": "double"
|
|
2158
|
+
},
|
|
2159
|
+
{
|
|
2160
|
+
"type": "string"
|
|
2161
|
+
}
|
|
2162
|
+
]
|
|
2163
|
+
},
|
|
2164
|
+
"nameDescription": {
|
|
2165
|
+
"type": "string"
|
|
2166
|
+
},
|
|
2167
|
+
"nameLabel": {
|
|
2168
|
+
"type": "string"
|
|
2169
|
+
},
|
|
2170
|
+
"nestedVirt": {
|
|
2171
|
+
"type": "boolean"
|
|
2172
|
+
},
|
|
2173
|
+
"nicType": {
|
|
2174
|
+
"type": "string",
|
|
2175
|
+
"nullable": true
|
|
2176
|
+
},
|
|
2177
|
+
"notes": {
|
|
2178
|
+
"type": "string",
|
|
2179
|
+
"nullable": true
|
|
2180
|
+
},
|
|
2181
|
+
"PV_args": {
|
|
2182
|
+
"type": "string"
|
|
2183
|
+
},
|
|
2184
|
+
"secureBoot": {
|
|
2185
|
+
"type": "boolean"
|
|
2186
|
+
},
|
|
2187
|
+
"startDelay": {
|
|
2188
|
+
"type": "number",
|
|
2189
|
+
"format": "double"
|
|
2190
|
+
},
|
|
2191
|
+
"suspendSr": {
|
|
2192
|
+
"type": "string",
|
|
2193
|
+
"nullable": true
|
|
2194
|
+
},
|
|
2195
|
+
"tags": {
|
|
2196
|
+
"items": {
|
|
2197
|
+
"type": "string"
|
|
2198
|
+
},
|
|
2199
|
+
"type": "array"
|
|
2200
|
+
},
|
|
2201
|
+
"uefiMode": {
|
|
2202
|
+
"type": "string",
|
|
2203
|
+
"enum": [
|
|
2204
|
+
"setup",
|
|
2205
|
+
"user"
|
|
2206
|
+
]
|
|
2207
|
+
},
|
|
2208
|
+
"vga": {
|
|
2209
|
+
"type": "string",
|
|
2210
|
+
"enum": [
|
|
2211
|
+
"std",
|
|
2212
|
+
"cirrus"
|
|
2213
|
+
]
|
|
2214
|
+
},
|
|
2215
|
+
"videoram": {
|
|
2216
|
+
"type": "number",
|
|
2217
|
+
"enum": [
|
|
2218
|
+
1,
|
|
2219
|
+
2,
|
|
2220
|
+
4,
|
|
2221
|
+
8,
|
|
2222
|
+
16
|
|
2223
|
+
]
|
|
2224
|
+
},
|
|
2225
|
+
"viridian": {
|
|
2226
|
+
"type": "boolean"
|
|
2227
|
+
},
|
|
2228
|
+
"virtualizationMode": {
|
|
2229
|
+
"type": "string",
|
|
2230
|
+
"enum": [
|
|
2231
|
+
"pv",
|
|
2232
|
+
"hvm"
|
|
2233
|
+
]
|
|
2234
|
+
},
|
|
2235
|
+
"xenStoreData": {
|
|
2236
|
+
"$ref": "#/components/schemas/Record_string.string-or-null_"
|
|
2237
|
+
},
|
|
2238
|
+
"resourceSet": {
|
|
2239
|
+
"type": "string",
|
|
2240
|
+
"nullable": true,
|
|
2241
|
+
"description": "Moves the VM in/out of a resource set."
|
|
2242
|
+
},
|
|
2243
|
+
"share": {
|
|
2244
|
+
"type": "boolean",
|
|
2245
|
+
"description": "When `true` and the VM is in a resource set, share the VM with all members\nof that resource set. `false` is a no-op."
|
|
2246
|
+
}
|
|
2247
|
+
},
|
|
2248
|
+
"type": "object",
|
|
2249
|
+
"additionalProperties": false
|
|
2250
|
+
},
|
|
1482
2251
|
"StatValues": {
|
|
1483
2252
|
"items": {
|
|
1484
2253
|
"type": "number",
|
|
@@ -7871,7 +8640,42 @@
|
|
|
7871
8640
|
"revert-snapshot",
|
|
7872
8641
|
"shutdown:clean",
|
|
7873
8642
|
"shutdown:hard",
|
|
7874
|
-
"update:
|
|
8643
|
+
"update:affinityHost",
|
|
8644
|
+
"update:autoPoweron",
|
|
8645
|
+
"update:blockedOperations",
|
|
8646
|
+
"update:coresPerSocket",
|
|
8647
|
+
"update:cpuCap",
|
|
8648
|
+
"update:cpuMask",
|
|
8649
|
+
"update:cpuWeight",
|
|
8650
|
+
"update:cpus",
|
|
8651
|
+
"update:cpusStaticMax",
|
|
8652
|
+
"update:creation",
|
|
8653
|
+
"update:datasources",
|
|
8654
|
+
"update:expNestedHvm",
|
|
8655
|
+
"update:hasVendorDevice",
|
|
8656
|
+
"update:highAvailability",
|
|
8657
|
+
"update:hvmBootFirmware",
|
|
8658
|
+
"update:memory",
|
|
8659
|
+
"update:memoryMax",
|
|
8660
|
+
"update:memoryMin",
|
|
8661
|
+
"update:memoryStaticMax",
|
|
8662
|
+
"update:nameDescription",
|
|
8663
|
+
"update:nameLabel",
|
|
8664
|
+
"update:nestedVirt",
|
|
8665
|
+
"update:nicType",
|
|
8666
|
+
"update:notes",
|
|
8667
|
+
"update:PV_args",
|
|
8668
|
+
"update:resourceSet",
|
|
8669
|
+
"update:secureBoot",
|
|
8670
|
+
"update:share",
|
|
8671
|
+
"update:startDelay",
|
|
8672
|
+
"update:suspendSr",
|
|
8673
|
+
"update:uefiMode",
|
|
8674
|
+
"update:vga",
|
|
8675
|
+
"update:videoram",
|
|
8676
|
+
"update:viridian",
|
|
8677
|
+
"update:virtualizationMode",
|
|
8678
|
+
"update:xenStoreData"
|
|
7875
8679
|
]
|
|
7876
8680
|
},
|
|
7877
8681
|
"selector": {
|
|
@@ -15581,7 +16385,42 @@
|
|
|
15581
16385
|
"revert-snapshot",
|
|
15582
16386
|
"shutdown:clean",
|
|
15583
16387
|
"shutdown:hard",
|
|
15584
|
-
"update:
|
|
16388
|
+
"update:affinityHost",
|
|
16389
|
+
"update:autoPoweron",
|
|
16390
|
+
"update:blockedOperations",
|
|
16391
|
+
"update:coresPerSocket",
|
|
16392
|
+
"update:cpuCap",
|
|
16393
|
+
"update:cpuMask",
|
|
16394
|
+
"update:cpuWeight",
|
|
16395
|
+
"update:cpus",
|
|
16396
|
+
"update:cpusStaticMax",
|
|
16397
|
+
"update:creation",
|
|
16398
|
+
"update:datasources",
|
|
16399
|
+
"update:expNestedHvm",
|
|
16400
|
+
"update:hasVendorDevice",
|
|
16401
|
+
"update:highAvailability",
|
|
16402
|
+
"update:hvmBootFirmware",
|
|
16403
|
+
"update:memory",
|
|
16404
|
+
"update:memoryMax",
|
|
16405
|
+
"update:memoryMin",
|
|
16406
|
+
"update:memoryStaticMax",
|
|
16407
|
+
"update:nameDescription",
|
|
16408
|
+
"update:nameLabel",
|
|
16409
|
+
"update:nestedVirt",
|
|
16410
|
+
"update:nicType",
|
|
16411
|
+
"update:notes",
|
|
16412
|
+
"update:PV_args",
|
|
16413
|
+
"update:resourceSet",
|
|
16414
|
+
"update:secureBoot",
|
|
16415
|
+
"update:share",
|
|
16416
|
+
"update:startDelay",
|
|
16417
|
+
"update:suspendSr",
|
|
16418
|
+
"update:uefiMode",
|
|
16419
|
+
"update:vga",
|
|
16420
|
+
"update:videoram",
|
|
16421
|
+
"update:viridian",
|
|
16422
|
+
"update:virtualizationMode",
|
|
16423
|
+
"update:xenStoreData"
|
|
15585
16424
|
]
|
|
15586
16425
|
},
|
|
15587
16426
|
"selector": {
|
|
@@ -17232,7 +18071,42 @@
|
|
|
17232
18071
|
"revert-snapshot",
|
|
17233
18072
|
"shutdown:clean",
|
|
17234
18073
|
"shutdown:hard",
|
|
17235
|
-
"update:
|
|
18074
|
+
"update:affinityHost",
|
|
18075
|
+
"update:autoPoweron",
|
|
18076
|
+
"update:blockedOperations",
|
|
18077
|
+
"update:coresPerSocket",
|
|
18078
|
+
"update:cpuCap",
|
|
18079
|
+
"update:cpuMask",
|
|
18080
|
+
"update:cpuWeight",
|
|
18081
|
+
"update:cpus",
|
|
18082
|
+
"update:cpusStaticMax",
|
|
18083
|
+
"update:creation",
|
|
18084
|
+
"update:datasources",
|
|
18085
|
+
"update:expNestedHvm",
|
|
18086
|
+
"update:hasVendorDevice",
|
|
18087
|
+
"update:highAvailability",
|
|
18088
|
+
"update:hvmBootFirmware",
|
|
18089
|
+
"update:memory",
|
|
18090
|
+
"update:memoryMax",
|
|
18091
|
+
"update:memoryMin",
|
|
18092
|
+
"update:memoryStaticMax",
|
|
18093
|
+
"update:nameDescription",
|
|
18094
|
+
"update:nameLabel",
|
|
18095
|
+
"update:nestedVirt",
|
|
18096
|
+
"update:nicType",
|
|
18097
|
+
"update:notes",
|
|
18098
|
+
"update:PV_args",
|
|
18099
|
+
"update:resourceSet",
|
|
18100
|
+
"update:secureBoot",
|
|
18101
|
+
"update:share",
|
|
18102
|
+
"update:startDelay",
|
|
18103
|
+
"update:suspendSr",
|
|
18104
|
+
"update:uefiMode",
|
|
18105
|
+
"update:vga",
|
|
18106
|
+
"update:videoram",
|
|
18107
|
+
"update:viridian",
|
|
18108
|
+
"update:virtualizationMode",
|
|
18109
|
+
"update:xenStoreData"
|
|
17236
18110
|
]
|
|
17237
18111
|
},
|
|
17238
18112
|
"selector": {
|
|
@@ -18394,7 +19268,42 @@
|
|
|
18394
19268
|
"revert-snapshot",
|
|
18395
19269
|
"shutdown:clean",
|
|
18396
19270
|
"shutdown:hard",
|
|
18397
|
-
"update:
|
|
19271
|
+
"update:affinityHost",
|
|
19272
|
+
"update:autoPoweron",
|
|
19273
|
+
"update:blockedOperations",
|
|
19274
|
+
"update:coresPerSocket",
|
|
19275
|
+
"update:cpuCap",
|
|
19276
|
+
"update:cpuMask",
|
|
19277
|
+
"update:cpuWeight",
|
|
19278
|
+
"update:cpus",
|
|
19279
|
+
"update:cpusStaticMax",
|
|
19280
|
+
"update:creation",
|
|
19281
|
+
"update:datasources",
|
|
19282
|
+
"update:expNestedHvm",
|
|
19283
|
+
"update:hasVendorDevice",
|
|
19284
|
+
"update:highAvailability",
|
|
19285
|
+
"update:hvmBootFirmware",
|
|
19286
|
+
"update:memory",
|
|
19287
|
+
"update:memoryMax",
|
|
19288
|
+
"update:memoryMin",
|
|
19289
|
+
"update:memoryStaticMax",
|
|
19290
|
+
"update:nameDescription",
|
|
19291
|
+
"update:nameLabel",
|
|
19292
|
+
"update:nestedVirt",
|
|
19293
|
+
"update:nicType",
|
|
19294
|
+
"update:notes",
|
|
19295
|
+
"update:PV_args",
|
|
19296
|
+
"update:resourceSet",
|
|
19297
|
+
"update:secureBoot",
|
|
19298
|
+
"update:share",
|
|
19299
|
+
"update:startDelay",
|
|
19300
|
+
"update:suspendSr",
|
|
19301
|
+
"update:uefiMode",
|
|
19302
|
+
"update:vga",
|
|
19303
|
+
"update:videoram",
|
|
19304
|
+
"update:viridian",
|
|
19305
|
+
"update:virtualizationMode",
|
|
19306
|
+
"update:xenStoreData"
|
|
18398
19307
|
]
|
|
18399
19308
|
},
|
|
18400
19309
|
"selector": {
|
|
@@ -18455,7 +19364,7 @@
|
|
|
18455
19364
|
},
|
|
18456
19365
|
"info": {
|
|
18457
19366
|
"title": "@xen-orchestra/rest-api",
|
|
18458
|
-
"version": "0.
|
|
19367
|
+
"version": "0.33.0",
|
|
18459
19368
|
"description": "REST API to manage your XOA",
|
|
18460
19369
|
"license": {
|
|
18461
19370
|
"name": "AGPL-3.0-or-later"
|
|
@@ -18964,6 +19873,67 @@
|
|
|
18964
19873
|
],
|
|
18965
19874
|
"x-mcp-exposure": "allow"
|
|
18966
19875
|
},
|
|
19876
|
+
"patch": {
|
|
19877
|
+
"operationId": "UpdateVm",
|
|
19878
|
+
"responses": {
|
|
19879
|
+
"204": {
|
|
19880
|
+
"description": "No content"
|
|
19881
|
+
},
|
|
19882
|
+
"400": {
|
|
19883
|
+
"description": "Bad request"
|
|
19884
|
+
},
|
|
19885
|
+
"401": {
|
|
19886
|
+
"description": "Authentication required"
|
|
19887
|
+
},
|
|
19888
|
+
"403": {
|
|
19889
|
+
"description": "Forbidden"
|
|
19890
|
+
},
|
|
19891
|
+
"404": {
|
|
19892
|
+
"description": "Resource not found"
|
|
19893
|
+
},
|
|
19894
|
+
"422": {
|
|
19895
|
+
"description": "Invalid parameters"
|
|
19896
|
+
},
|
|
19897
|
+
"500": {
|
|
19898
|
+
"description": "Internal server error, XenServer/XCP-ng error"
|
|
19899
|
+
}
|
|
19900
|
+
},
|
|
19901
|
+
"description": "Partial update of a VM. Only the fields present in the body are modified;\neverything else is left untouched.\n\nOperations are applied sequentially: if one fails, previously applied\nchanges are not rolled back.\n\nRequired privilege per field provided in the body:\n- resource: vm, action: update:<field> (e.g. update:nameLabel, update:cpus, ...)\n\nSpecial fields:\n- `xenStoreData` keys are automatically prefixed with `vm-data/` when missing",
|
|
19902
|
+
"tags": [
|
|
19903
|
+
"vms"
|
|
19904
|
+
],
|
|
19905
|
+
"security": [
|
|
19906
|
+
{
|
|
19907
|
+
"*": []
|
|
19908
|
+
}
|
|
19909
|
+
],
|
|
19910
|
+
"parameters": [
|
|
19911
|
+
{
|
|
19912
|
+
"in": "path",
|
|
19913
|
+
"name": "id",
|
|
19914
|
+
"required": true,
|
|
19915
|
+
"schema": {
|
|
19916
|
+
"type": "string"
|
|
19917
|
+
},
|
|
19918
|
+
"example": "f07ab729-c0e8-721c-45ec-f11276377030"
|
|
19919
|
+
}
|
|
19920
|
+
],
|
|
19921
|
+
"requestBody": {
|
|
19922
|
+
"required": true,
|
|
19923
|
+
"content": {
|
|
19924
|
+
"application/json": {
|
|
19925
|
+
"schema": {
|
|
19926
|
+
"$ref": "#/components/schemas/UpdateVmRequestBody"
|
|
19927
|
+
},
|
|
19928
|
+
"example": {
|
|
19929
|
+
"nameLabel": "web-prod-01",
|
|
19930
|
+
"nameDescription": "Production web frontend — managed by n8n",
|
|
19931
|
+
"notes": "Docker containers: nginx, app-1, app-2"
|
|
19932
|
+
}
|
|
19933
|
+
}
|
|
19934
|
+
}
|
|
19935
|
+
}
|
|
19936
|
+
},
|
|
18967
19937
|
"delete": {
|
|
18968
19938
|
"operationId": "DeleteVm",
|
|
18969
19939
|
"responses": {
|